Skip to main content
POST
/
integrations
/
{integration}
/
sync
Sync integration
curl --request POST \
  --url https://sandbox.nmbr.co/services/payroll/integrations/{integration}/sync \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "sync": "accounting_codes",
  "business_entity_id": "<id>"
}
'

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

integration
string
required

Body

application/json
sync
enum<string>
required

Data to be synced with the provider: - accounting_codes: imports Accounting Codes from the provider. - journal_entries: exports Journal Entries to the provider, requires a payroll_id. - category: imports tracking categories (Xero Tracking Categories / QuickBooks Classes) as Tag Groups and Tags. - department: imports departments (QuickBooks Locations) as Tag Groups and Tags. QuickBooks only. - project: imports projects as Tag Groups and Tags. QuickBooks only.

Available options:
accounting_codes,
category,
department,
journal_entries,
project
business_entity_id
string
payroll_id
string

Response

202

Accepted